View Issue Details

IDProjectCategoryView StatusLast Update
0032742Open CASCADEOCCT:Codingpublic2021-12-25 17:25
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032742: Coding - get rid of unused headers [Adaptor2d to Approx]
DescriptionThis ticket is to clear unused headers in the packages from `Adaptor2d` to `Approx`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032741 closedbugmaster Coding - get rid of unused headers 

Activities

git

2021-12-19 11:09

administrator   ~0106076

Branch CR32742 has been created by aml.

SHA-1: 0b3c778531350d84ccadd34f6500666bc424e33d


Detailed log of new commits:

Author: aml
Date: Sun Dec 19 10:43:29 2021 +0300

    0032742: Coding - get rid of unused headers [Adaptor2d to Approx]

git

2021-12-19 11:48

administrator   ~0106098

Branch CR32742 has been updated forcibly by aml.

SHA-1: d6ec7efb5bb6936397b88d48b559b83eff64dfb8

git

2021-12-19 19:40

administrator   ~0106103

Branch CR32742 has been updated forcibly by aml.

SHA-1: 51c7431ce15a3c18d8156057323e6a68698d6074

aml

2021-12-20 06:45

developer   ~0106109

Dear Kirill,

please take a look at the CR32742 branch.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32742-master-aml/view/ALL/

smoskvin

2021-12-25 12:50

administrator   ~0106190

Combination -
OCCT branch : IR-2021-12-24
master SHA - bcecb5832b2749a588c0877099e4909f2523f499
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-24 SHA - 684d33a93d81a396019446b148f5c89157667fbb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18175.950000000386 / 18206.72000000041 [-0.17%]
Products
Total CPU difference: 11591.210000000114 / 11647.080000000102 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19974.5625 / 20013.0 [-0.19%]
Products
Total CPU difference: 13088.09375 / 13094.75 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-25 17:25

administrator   ~0106195

Branch CR32742 has been deleted by mnt.

SHA-1: 51c7431ce15a3c18d8156057323e6a68698d6074

Related Changesets

occt: master f32cb549

2021-12-19 10:43:29

aml


Committer: smoskvin Details Diff
0032742: Coding - get rid of unused headers [Adaptor2d to Approx] Affected Issues
0032742
mod - src/Adaptor2d/Adaptor2d_Curve2d.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_Line2d.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_Line2d.hxx Diff File
mod - src/Adaptor2d/Adaptor2d_OffsetCurve.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_Curve.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_Curve.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_IsoCurve.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_Surface.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Criterion.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_EvaluatorFunc2Var.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_MathBase_mathinit.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Network.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Network.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Node.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Patch.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Patch.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_SysBase.cxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_SysBase.hxx Diff File
mod - src/AdvApprox/AdvApprox_ApproxAFunction.cxx Diff File
mod - src/AdvApprox/AdvApprox_EvaluatorFunction.hxx Diff File
mod - src/AdvApprox/AdvApprox_PrefAndRec.hxx Diff File
mod - src/AdvApprox/AdvApprox_PrefCutting.hxx Diff File
mod - src/AdvApprox/AdvApprox_SimpleApprox.cxx Diff File
mod - src/AdvApprox/AdvApprox_SimpleApprox.hxx Diff File
mod - src/AIS/AIS_AnimationCamera.cxx Diff File
mod - src/AIS/AIS_AnimationObject.cxx Diff File
mod - src/AIS/AIS_AttributeFilter.hxx Diff File
mod - src/AIS/AIS_Axis.cxx Diff File
mod - src/AIS/AIS_BadEdgeFilter.cxx Diff File
mod - src/AIS/AIS_BadEdgeFilter.hxx Diff File
mod - src/AIS/AIS_C0RegularityFilter.cxx Diff File
mod - src/AIS/AIS_C0RegularityFilter.hxx Diff File
mod - src/AIS/AIS_Circle.cxx Diff File
mod - src/AIS/AIS_ColoredShape.cxx Diff File
mod - src/AIS/AIS_ColoredShape.hxx Diff File
mod - src/AIS/AIS_ColorScale.cxx Diff File
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff File
mod - src/AIS/AIS_DataMapOfShapeDrawer.hxx Diff File
mod - src/AIS/AIS_ExclusionFilter.cxx Diff File
mod - src/AIS/AIS_ExclusionFilter.hxx Diff File
mod - src/AIS/AIS_GlobalStatus.hxx Diff File
mod - src/AIS/AIS_GraphicTool.cxx Diff File
mod - src/AIS/AIS_GraphicTool.hxx Diff File
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_InteractiveObject.cxx Diff File
mod - src/AIS/AIS_LightSource.cxx Diff File
mod - src/AIS/AIS_LightSource.hxx Diff File
mod - src/AIS/AIS_Line.cxx Diff File
mod - src/AIS/AIS_Manipulator.cxx Diff File
mod - src/AIS/AIS_Manipulator.hxx Diff File
mod - src/AIS/AIS_MediaPlayer.cxx Diff File
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff File
mod - src/AIS/AIS_Plane.cxx Diff File
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff File
mod - src/AIS/AIS_Point.cxx Diff File
mod - src/AIS/AIS_Point.hxx Diff File
mod - src/AIS/AIS_PointCloud.cxx Diff File
mod - src/AIS/AIS_RubberBand.cxx Diff File
mod - src/AIS/AIS_Shape.cxx Diff File
mod - src/AIS/AIS_Shape.hxx Diff File
mod - src/AIS/AIS_SignatureFilter.hxx Diff File
mod - src/AIS/AIS_TexturedShape.cxx Diff File
mod - src/AIS/AIS_TexturedShape.hxx Diff File
mod - src/AIS/AIS_Triangulation.cxx Diff File
mod - src/AIS/AIS_Trihedron.cxx Diff File
mod - src/AIS/AIS_Trihedron.hxx Diff File
mod - src/AIS/AIS_TypeFilter.hxx Diff File
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
mod - src/AIS/AIS_ViewCube.cxx Diff File
mod - src/AIS/AIS_XRTrackedDevice.cxx Diff File
mod - src/APIHeaderSection/APIHeaderSection_EditHeader.cxx Diff File
mod - src/APIHeaderSection/APIHeaderSection_EditHeader.hxx Diff File
mod - src/APIHeaderSection/APIHeaderSection_MakeHeader.cxx Diff File
mod - src/APIHeaderSection/APIHeaderSection_MakeHeader.hxx Diff File
mod - src/AppBlend/AppBlend_Approx.cxx Diff File
mod - src/AppBlend/AppBlend_Approx.hxx Diff File
mod - src/AppCont/AppCont_ContMatrices.hxx Diff File
mod - src/AppCont/AppCont_LeastSquare.cxx Diff File
mod - src/AppCont/AppCont_LeastSquare.hxx Diff File
mod - src/AppDef/AppDef_BSpGradient_BFGSOfMyBSplGradientOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_BSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_BSpParFunctionOfMyBSplGradientOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_Compute.hxx Diff File
mod - src/AppDef/AppDef_Gradient_BFGSOfMyGradientbisOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_Gradient_BFGSOfMyGradientOfCompute.hxx Diff File
mod - src/AppDef/AppDef_Gradient_BFGSOfTheGradient.hxx Diff File
mod - src/AppDef/AppDef_LinearCriteria.cxx Diff File
mod - src/AppDef/AppDef_LinearCriteria.hxx Diff File
mod - src/AppDef/AppDef_MultiLine.cxx Diff File
mod - src/AppDef/AppDef_MultiLine.hxx Diff File
mod - src/AppDef/AppDef_MultiPointConstraint.cxx Diff File
mod - src/AppDef/AppDef_MyBSplGradientOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_MyGradientbisOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_MyGradientOfCompute.hxx Diff File
mod - src/AppDef/AppDef_MyLineTool.hxx Diff File
mod - src/AppDef/AppDef_ParFunctionOfMyGradientbisOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_ParFunctionOfMyGradientOfCompute.hxx Diff File
mod - src/AppDef/AppDef_ParFunctionOfTheGradient.hxx Diff File
mod - src/AppDef/AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_ParLeastSquareOfMyGradientOfCompute.hxx Diff File
mod - src/AppDef/AppDef_ParLeastSquareOfTheGradient.hxx Diff File
mod - src/AppDef/AppDef_ResConstraintOfMyGradientbisOfBSplineCompute.hxx Diff File
mod - src/AppDef/AppDef_ResConstraintOfMyGradientOfCompute.hxx Diff File
mod - src/AppDef/AppDef_ResConstraintOfTheGradient.hxx Diff File
mod - src/AppDef/AppDef_SmoothCriterion.cxx Diff File
mod - src/AppDef/AppDef_SmoothCriterion.hxx Diff File
mod - src/AppDef/AppDef_TheFunction.hxx Diff File
mod - src/AppDef/AppDef_TheGradient.hxx Diff File
mod - src/AppDef/AppDef_TheLeastSquares.hxx Diff File
mod - src/AppDef/AppDef_TheResol.hxx Diff File
mod - src/AppDef/AppDef_Variational.cxx Diff File
mod - src/AppDef/AppDef_Variational.hxx Diff File
mod - src/AppParCurves/AppParCurves.cxx Diff File
mod - src/AppParCurves/AppParCurves.hxx Diff File
mod - src/AppParCurves/AppParCurves_ConstraintCouple.hxx Diff File
mod - src/AppParCurves/AppParCurves_HArray1OfConstraintCouple.hxx Diff File
mod - src/AppParCurves/AppParCurves_MultiBSpCurve.cxx Diff File
mod - src/AppParCurves/AppParCurves_MultiBSpCurve.hxx Diff File
mod - src/AppParCurves/AppParCurves_MultiCurve.cxx Diff File
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff File
mod - src/Approx/Approx_Curve3d.cxx Diff File
mod - src/Approx/Approx_CurveOnSurface.cxx Diff File
mod - src/Approx/Approx_CurvilinearParameter.cxx Diff File
mod - src/Approx/Approx_CurvlinFunc.cxx Diff File
mod - src/Approx/Approx_CurvlinFunc.hxx Diff File
mod - src/Approx/Approx_FitAndDivide.hxx Diff File
mod - src/Approx/Approx_FitAndDivide2d.hxx Diff File
mod - src/Approx/Approx_HArray1OfGTrsf2d.hxx Diff File
mod - src/Approx/Approx_MCurvesToBSpCurve.cxx Diff File
mod - src/Approx/Approx_MCurvesToBSpCurve.hxx Diff File
mod - src/Approx/Approx_SameParameter.cxx Diff File
mod - src/Approx/Approx_SweepApproximation.cxx Diff File
mod - src/Approx/Approx_SweepApproximation.hxx Diff File
mod - src/Approx/Approx_SweepFunction.cxx Diff File
mod - src/Approx/Approx_SweepFunction.hxx Diff File
mod - tools/View/View_Widget.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-19 09:50 aml New Issue
2021-12-19 09:50 aml Assigned To => aml
2021-12-19 09:51 aml Relationship added child of 0032741
2021-12-19 11:09 git Note Added: 0106076
2021-12-19 11:48 git Note Added: 0106098
2021-12-19 19:40 git Note Added: 0106103
2021-12-20 06:45 aml Status new => resolved
2021-12-20 06:45 aml Steps to Reproduce Updated
2021-12-20 06:45 aml Note Added: 0106109
2021-12-20 07:15 aml Assigned To aml => kgv
2021-12-20 08:31 kgv Assigned To kgv => bugmaster
2021-12-20 08:31 kgv Status resolved => reviewed
2021-12-25 12:50 smoskvin Status reviewed => tested
2021-12-25 12:50 smoskvin Note Added: 0106190
2021-12-25 12:52 smoskvin Test case number => Not required
2021-12-25 17:13 smoskvin Changeset attached => occt master f32cb549
2021-12-25 17:13 aml Assigned To bugmaster => aml
2021-12-25 17:13 aml Status tested => verified
2021-12-25 17:13 aml Resolution open => fixed
2021-12-25 17:25 git Note Added: 0106195